Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cmp
Class ErrorMsgContent

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.cmp.ErrorMsgContent

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class ErrorMsgContent
extends ASN1Object

ErrorMsgContent ::= SEQUENCE { pKIStatusInfo PKIStatusInfo, errorCode INTEGER OPTIONAL, -- implementation-specific error codes errorDetails PKIFreeText OPTIONAL -- implementation-specific error details }

Constructor Summary
`ErrorMsgContent(PKIStatusInfo pkiStatusInfo)`
`ErrorMsgContent(PKIStatusInfo pkiStatusInfo, ASN1Integer errorCode, PKIFreeText errorDetails)`

Method Summary
`ASN1Integer` | `getErrorCode()`
`PKIFreeText` | `getErrorDetails()`
`static ErrorMsgContent` | `getInstance(java.lang.Object o)`
`PKIStatusInfo` | `getPKIStatusInfo()`
`ASN1Primitive` | `toASN1Primitive()` ErrorMsgContent ::= SEQUENCE { pKIStatusInfo PKIStatusInfo, errorCode INTEGER OPTIONAL, -- implementation-specific error codes errorDetails PKIFreeText OPTIONAL -- implementation-specific error details }

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ErrorMsgContent

    public ErrorMsgContent(PKIStatusInfo pkiStatusInfo)

### ErrorMsgContent

    public ErrorMsgContent(PKIStatusInfo pkiStatusInfo,
                           ASN1Integer errorCode,
                           PKIFreeText errorDetails)

Method Detail

### getInstance

    public static ErrorMsgContent getInstance(java.lang.Object o)

### getPKIStatusInfo

    public PKIStatusInfo getPKIStatusInfo()

### getErrorCode

    public ASN1Integer getErrorCode()

### getErrorDetails

    public PKIFreeText getErrorDetails()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  ErrorMsgContent ::= SEQUENCE { pKIStatusInfo PKIStatusInfo, errorCode INTEGER OPTIONAL, -- implementation-specific error codes errorDetails PKIFreeText OPTIONAL -- implementation-specific error details }

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a basic ASN.1 object representation.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD